# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class BatchCreateLiveDomainRequest(JDCloudRequest):
    """
    创建直播域名
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(BatchCreateLiveDomainRequest, self).__init__(
            '/liveDomain:batchCreate', 'POST', header, version)
        self.parameters = parameters


class BatchCreateLiveDomainParameters(object):

    def __init__(self,):
        """
        """

        self.playDomain = None
        self.publishDomain = None
        self.sourceType = None
        self.backHttpType = None
        self.defaultSourceHost = None
        self.siteType = None
        self.backSourceType = None
        self.ipSource = None
        self.domainSource = None
        self.accelerateRegion = None

    def setPlayDomain(self, playDomain):
        """
        :param playDomain: (Optional) 播放域名
        """
        self.playDomain = playDomain

    def setPublishDomain(self, publishDomain):
        """
        :param publishDomain: (Optional) 创建推流域名时，必传推流域名
        """
        self.publishDomain = publishDomain

    def setSourceType(self, sourceType):
        """
        :param sourceType: (Optional) 回源类型只能是[ips,domain]中的一种
        """
        self.sourceType = sourceType

    def setBackHttpType(self, backHttpType):
        """
        :param backHttpType: (Optional) 
        """
        self.backHttpType = backHttpType

    def setDefaultSourceHost(self, defaultSourceHost):
        """
        :param defaultSourceHost: (Optional) 默认回源host
        """
        self.defaultSourceHost = defaultSourceHost

    def setSiteType(self, siteType):
        """
        :param siteType: (Optional) 站点类型pull(拉流)push(推流)
        """
        self.siteType = siteType

    def setBackSourceType(self, backSourceType):
        """
        :param backSourceType: (Optional) 回源类型，目前只能为rtmp
        """
        self.backSourceType = backSourceType

    def setIpSource(self, ipSource):
        """
        :param ipSource: (Optional) 
        """
        self.ipSource = ipSource

    def setDomainSource(self, domainSource):
        """
        :param domainSource: (Optional) 
        """
        self.domainSource = domainSource

    def setAccelerateRegion(self, accelerateRegion):
        """
        :param accelerateRegion: (Optional) 加速区域(mainLand:中国大陆，nonMainLand:海外加港澳台，all:全球)默认为中国大陆
        """
        self.accelerateRegion = accelerateRegion

