# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ModifyDedicatedHostAttributeRequest(JDCloudRequest):
    """
    修改专有宿主机部分属性，包括名称、描述。

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(ModifyDedicatedHostAttributeRequest, self).__init__(
            '/regions/{regionId}/dedicatedHost/{dedicatedHostId}:modifyAttribute', 'POST', header, version)
        self.parameters = parameters


class ModifyDedicatedHostAttributeParameters(object):

    def __init__(self,regionId, dedicatedHostId, ):
        """
        :param regionId: 地域ID
        :param dedicatedHostId: 专有宿主机ID
        """

        self.regionId = regionId
        self.dedicatedHostId = dedicatedHostId
        self.name = None
        self.description = None
        self.enableCpuTopology = None

    def setName(self, name):
        """
        :param name: (Optional) 名称，<a href="http://docs.jdcloud.com/virtual-machines/api/general_parameters">参考公共参数规范</a>。
        """
        self.name = name

    def setDescription(self, description):
        """
        :param description: (Optional) 描述，<a href="http://docs.jdcloud.com/virtual-machines/api/general_parameters">参考公共参数规范</a>。
        """
        self.description = description

    def setEnableCpuTopology(self, enableCpuTopology):
        """
        :param enableCpuTopology: (Optional) 是否开启cpu拓扑，true:开启，false:关闭，只有宿主机是非超卖模式，且没有资源的时候才能开启；开启后，该宿主机上的虚机可以配置cpu拓扑和NUMA映射等。

        """
        self.enableCpuTopology = enableCpuTopology

