# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class GetDeviceGroupRequest(JDCloudRequest):
    """
    获取分组列表
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(GetDeviceGroupRequest, self).__init__(
            '/regions/{regionId}/instances/{instanceId}/devicegroup:get', 'GET', header, version)
        self.parameters = parameters


class GetDeviceGroupParameters(object):

    def __init__(self, instanceId, regionId, ):
        """
        :param instanceId: 设备归属的实例ID
        :param regionId: 设备归属的实例所在区域
        """

        self.instanceId = instanceId
        self.regionId = regionId
        self.groupName = None
        self.queryUserPin = None
        self.tag = None
        self.pageNumber = None
        self.pageSize = None

    def setGroupName(self, groupName):
        """
        :param groupName: (Optional) 组名称
        """
        self.groupName = groupName

    def setQueryUserPin(self, queryUserPin):
        """
        :param queryUserPin: (Optional) 查询的用户组
        """
        self.queryUserPin = queryUserPin

    def setTag(self, tag):
        """
        :param tag: (Optional) 组标签
        """
        self.tag = tag

    def setPageNumber(self, pageNumber):
        """
        :param pageNumber: (Optional) 当前页号
        """
        self.pageNumber = pageNumber

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 每页大小
        """
        self.pageSize = pageSize

