# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeTopicsRequest(JDCloudRequest):
    """
    查询topic列表
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DescribeTopicsRequest, self).__init__(
            '/regions/{regionId}/topics', 'GET', header, version)
        self.parameters = parameters


class DescribeTopicsParameters(object):

    def __init__(self, regionId, ):
        """
        :param regionId: 所在区域的Region ID
        """

        self.regionId = regionId
        self.pageSize = None
        self.pageNumber = None
        self.topicFilter = None
        self.tagFilters = None

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 分页大小；默认为10；取值范围[10, 100]
        """
        self.pageSize = pageSize

    def setPageNumber(self, pageNumber):
        """
        :param pageNumber: (Optional) 页码
        """
        self.pageNumber = pageNumber

    def setTopicFilter(self, topicFilter):
        """
        :param topicFilter: (Optional) topic名称的过滤条件，大小写不敏感
        """
        self.topicFilter = topicFilter

    def setTagFilters(self, tagFilters):
        """
        :param tagFilters: (Optional) 标签过滤条件
        """
        self.tagFilters = tagFilters

