# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class OrderDetailResponseObject(object):

    def __init__(self, appCode=None, appName=None, balancePay=None, discountFee=None, refundFee=None, favorableFee=None, totalFee=None, moneyPay=None, actualFee=None, paidFee=None, activityType=None, chargeMode=None, createTime=None, expirationTime=None, orderNumber=None, orderType=None, payTime=None, payType=None, payUrl=None, payer=None, paymentChannel=None, paymentNumber=None, pin=None, proposer=None, remark=None, selfSupportType=None, serviceName=None, siteType=None, status=None, updatedTime=None, childOrderDetailList=None, orderItemDetails=None):
        """
        :param appCode: (Optional) 业务线
        :param appName: (Optional) 业务线名称
        :param balancePay: (Optional) 余额支付金额
        :param discountFee: (Optional) 折扣金额
        :param refundFee: (Optional) 退款金额
        :param favorableFee: (Optional) 代金券金额
        :param totalFee: (Optional) 订单总金额
        :param moneyPay: (Optional) 现金支付金额
        :param actualFee: (Optional) 应付金额（订单总金额-折扣金额）
        :param paidFee: (Optional) 已支付总额
        :param activityType: (Optional) 活动订单类型(NORMAL-正常订单,ACTIVITY-活动订单)
        :param chargeMode: (Optional) 计费类型(CONFIG-按配置,FLOW-按用量MONTHLY-包年包月,ONCE-按次付费)
        :param createTime: (Optional) 订单创建时间（格式：yyyy-MM-dd HH:mm:ss）
        :param expirationTime: (Optional) 未支付订单自动取消时间（格式：yyyy-MM-dd HH:mm:ss）
        :param orderNumber: (Optional) 订单号
        :param orderType: (Optional) 购买订单类型(NEW-新购,RENEW-续费，RESIZE_FORMULA-配置变更)
        :param payTime: (Optional) 订单支付时间（格式：yyyy-MM-dd HH:mm:ss）
        :param payType: (Optional) 付费类型(PRE_PAID-预付费,POST_PAID-后付费)
        :param payUrl: (Optional) 支付确认页地址
        :param payer: (Optional) 付款人
        :param paymentChannel: (Optional) 支付渠道（BALANCE_PAYMENT-余额支付,ENTERPRISE_BANK_PAYMENT-企业网银,PERSONAL_BANK_PAYMENT-个人网银,JD_PAYMENT-京东,WENXIN_PAYMENT-微信支付,OFFLINE_PAYMENT-线下汇款）
        :param paymentNumber: (Optional) 支付订单号
        :param pin: (Optional) 用户pin
        :param proposer: (Optional) 订单申请人，创建人
        :param remark: (Optional) 备注
        :param selfSupportType: (Optional) 自营类型(SELF_SUPPORT-自营,THIRD_PARTY_SUPPORT-非自营)
        :param serviceName: (Optional) 产品线名称
        :param siteType: (Optional) 站点名称（MAIN_SITE-主站，INTERNATIONAL_SITE-国际站，SUQIAN_DEDICATED_CLOUD-宿迁专有云）
        :param status: (Optional) 订单状态（PAID-已支付,FAILED-失败,NO_PAY-未支付,DEALING-处理中,CANCELED-已取消,REFUND_PART-部分退款,REFUND_ALL-全部退款）
        :param updatedTime: (Optional) 订单更新时间
        :param childOrderDetailList: (Optional) 子订单
        :param orderItemDetails: (Optional) 子资源订单
        """

        self.appCode = appCode
        self.appName = appName
        self.balancePay = balancePay
        self.discountFee = discountFee
        self.refundFee = refundFee
        self.favorableFee = favorableFee
        self.totalFee = totalFee
        self.moneyPay = moneyPay
        self.actualFee = actualFee
        self.paidFee = paidFee
        self.activityType = activityType
        self.chargeMode = chargeMode
        self.createTime = createTime
        self.expirationTime = expirationTime
        self.orderNumber = orderNumber
        self.orderType = orderType
        self.payTime = payTime
        self.payType = payType
        self.payUrl = payUrl
        self.payer = payer
        self.paymentChannel = paymentChannel
        self.paymentNumber = paymentNumber
        self.pin = pin
        self.proposer = proposer
        self.remark = remark
        self.selfSupportType = selfSupportType
        self.serviceName = serviceName
        self.siteType = siteType
        self.status = status
        self.updatedTime = updatedTime
        self.childOrderDetailList = childOrderDetailList
        self.orderItemDetails = orderItemDetails
