# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class OrderDetail(object):

    def __init__(self, orderItemDetails=None, childOrderDetailList=None, orderNumber=None, status=None, orderType=None, chargeMode=None, appName=None, serviceName=None, payType=None, selfSupportType=None, siteType=None, createTime=None, payTime=None, isActualFeeModified=None, totalFee=None, actualFee=None, discountFee=None, paidFee=None, favorableFee=None, favorableFeeJson=None, moneyPay=None, balancePay=None, payUrl=None, pin=None, remark=None, expirationTime=None, refundFee=None, orderTypeInfo=None, chargeModeInfo=None, statusInfo=None, selfSupportTypeInfo=None, paymentChannel=None, updatedTime=None, paymentNumber=None, payer=None, proposer=None, appCode=None):
        """
        :param orderItemDetails: (Optional) 订单详情列表
        :param childOrderDetailList: (Optional) 子订单列表
        :param orderNumber: (Optional) 订单编号
        :param status: (Optional) 订单状态:已支付
        :param orderType: (Optional) 订单类型
        :param chargeMode: (Optional) 订单计费类型：按配置、包年包月、按用量
        :param appName: (Optional) 产品线
        :param serviceName: (Optional) 产品名称(产品类型)
        :param payType: (Optional) 付费方式
        :param selfSupportType: (Optional) 自营类型：1-自营，2-非自营，3-二者并存
        :param siteType: (Optional) 站点类型 0：主站,1：国际站,2：云市场
        :param createTime: (Optional) 下单时间
        :param payTime: (Optional) 支付时间
        :param isActualFeeModified: (Optional) 应付价格是否被修改过：0-未修改，1-已修改
        :param totalFee: (Optional) 订单总额（元）
        :param actualFee: (Optional) 应付总额（元）
        :param discountFee: (Optional) 优惠总额（元）
        :param paidFee: (Optional) 已支付总额（元）
        :param favorableFee: (Optional) 代金券金额（元）
        :param favorableFeeJson: (Optional) 代金券Json
        :param moneyPay: (Optional) 现金支付
        :param balancePay: (Optional) 余额支付
        :param payUrl: (Optional) 支付确认页地址
        :param pin: (Optional) 用户pin
        :param remark: (Optional) 备注
        :param expirationTime: (Optional) 自动取消时间
        :param refundFee: (Optional) 已退款金额
        :param orderTypeInfo: (Optional) 订单类型：新购、续费、升降配
        :param chargeModeInfo: (Optional) 订单计费类型：按配置、包年包月、按用量actualFee
        :param statusInfo: (Optional) 订单状态：未支付、已支付、处理中、已取消
        :param selfSupportTypeInfo: (Optional) 自营类型：1-自营，2-非自营，3-二者并存
        :param paymentChannel: (Optional) 现金支付方式（企业、个人网银、京东支付、微信、线下汇款）
        :param updatedTime: (Optional) 修改时间
        :param paymentNumber: (Optional) 支付单号
        :param payer: (Optional) 付款人
        :param proposer: (Optional) 申请人
        :param appCode: (Optional) 应用code
        """

        self.orderItemDetails = orderItemDetails
        self.childOrderDetailList = childOrderDetailList
        self.orderNumber = orderNumber
        self.status = status
        self.orderType = orderType
        self.chargeMode = chargeMode
        self.appName = appName
        self.serviceName = serviceName
        self.payType = payType
        self.selfSupportType = selfSupportType
        self.siteType = siteType
        self.createTime = createTime
        self.payTime = payTime
        self.isActualFeeModified = isActualFeeModified
        self.totalFee = totalFee
        self.actualFee = actualFee
        self.discountFee = discountFee
        self.paidFee = paidFee
        self.favorableFee = favorableFee
        self.favorableFeeJson = favorableFeeJson
        self.moneyPay = moneyPay
        self.balancePay = balancePay
        self.payUrl = payUrl
        self.pin = pin
        self.remark = remark
        self.expirationTime = expirationTime
        self.refundFee = refundFee
        self.orderTypeInfo = orderTypeInfo
        self.chargeModeInfo = chargeModeInfo
        self.statusInfo = statusInfo
        self.selfSupportTypeInfo = selfSupportTypeInfo
        self.paymentChannel = paymentChannel
        self.updatedTime = updatedTime
        self.paymentNumber = paymentNumber
        self.payer = payer
        self.proposer = proposer
        self.appCode = appCode
