# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class BindVpcRequest(JDCloudRequest):
    """
    绑定vpc
- vpc信息为空时，会将之前的绑定关系全部解除
- 该接口为覆盖类的接口，请将需要的vpc全部进行绑定

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(BindVpcRequest, self).__init__(
            '/regions/{regionId}/zone/{zoneId}/vpc:bind', 'PUT', header, version)
        self.parameters = parameters


class BindVpcParameters(object):

    def __init__(self, regionId, zoneId, ):
        """
        :param regionId: 地域ID
        :param zoneId: zone id
        """

        self.regionId = regionId
        self.zoneId = zoneId
        self.bindVpc = None

    def setBindVpc(self, bindVpc):
        """
        :param bindVpc: (Optional) 绑定的vpc信息
        """
        self.bindVpc = bindVpc

