# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeResourceRecordsRequest(JDCloudRequest):
    """
    查询解析记录

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DescribeResourceRecordsRequest, self).__init__(
            '/regions/{regionId}/zone/{zoneId}/resourceRecords', 'GET', header, version)
        self.parameters = parameters


class DescribeResourceRecordsParameters(object):

    def __init__(self, regionId, zoneId, ):
        """
        :param regionId: 地域ID
        :param zoneId: zone id
        """

        self.regionId = regionId
        self.zoneId = zoneId
        self.hostRecord = None
        self.pageSize = None
        self.pageNumber = None

    def setHostRecord(self, hostRecord):
        """
        :param hostRecord: (Optional) 主机记录左右模糊查询
        """
        self.hostRecord = hostRecord

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 页容量，默认10，取值范围(1 - 100)
        """
        self.pageSize = pageSize

    def setPageNumber(self, pageNumber):
        """
        :param pageNumber: (Optional) 页序号，默认1，不能小于1
        """
        self.pageNumber = pageNumber

