# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class VerifyUserQuotaRequest(JDCloudRequest):
    """
    校验配额
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(VerifyUserQuotaRequest, self).__init__(
            '/regions/{regionId}/userQuota:verify', 'POST', header, version)
        self.parameters = parameters


class VerifyUserQuotaParameters(object):

    def __init__(self, regionId, ):
        """
        :param regionId: Region ID
        """

        self.regionId = regionId
        self.pin = None
        self.siteType = None
        self.appCode = None
        self.serviceCode = None
        self.region = None
        self.parentResourceId = None
        self.uid = None
        self.quotaAmount = None

    def setPin(self, pin):
        """
        :param pin: (Optional) 用户pin
        """
        self.pin = pin

    def setSiteType(self, siteType):
        """
        :param siteType: (Optional) 站点类型
        """
        self.siteType = siteType

    def setAppCode(self, appCode):
        """
        :param appCode: (Optional) 业务线
        """
        self.appCode = appCode

    def setServiceCode(self, serviceCode):
        """
        :param serviceCode: (Optional) 资源产品线
        """
        self.serviceCode = serviceCode

    def setRegion(self, region):
        """
        :param region: (Optional) 地域
        """
        self.region = region

    def setParentResourceId(self, parentResourceId):
        """
        :param parentResourceId: (Optional) 父层资源id（针对有两层结构的服务）
        """
        self.parentResourceId = parentResourceId

    def setUid(self, uid):
        """
        :param uid: (Optional) 业务唯一键
        """
        self.uid = uid

    def setQuotaAmount(self, quotaAmount):
        """
        :param quotaAmount: (Optional) 配额数量
        """
        self.quotaAmount = quotaAmount

