# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class GetAntiEventReq(object):

    def __init__(self, antiType, start, end, pageSize, pageIndex, wafInstanceId=None, domain=None, remoteAddr=None, status=None, sortKey=None, sortDesc=None, isExport=None):
        """
        :param wafInstanceId: (Optional) 实例id，代表要查询的WAF实例，为空时表示当前用户下的所有实例
        :param domain: (Optional) 域名，为空时表示当前实例下的所有域名
        :param antiType:  攻击类型，支持类型："cc"(cc攻击)，"waf"(Web攻击)，"acl"(自定义规则)
        :param remoteAddr: (Optional) 源ip，检索字段
        :param status: (Optional) 状态码，检索字段
        :param start:  开始时间戳，单位秒，时间间隔要求大于5分钟，小于30天。
        :param end:  结束时间戳，单位秒，时间间隔要求大于5分钟，小于30天。
        :param pageSize:  每页显示的个数。
        :param pageIndex:  页数。
        :param sortKey: (Optional) 排序字段，document_uri:uri, remote_addr:源ip, time:时间
        :param sortDesc: (Optional) 排序方式，desc-倒序 asc-增序
        :param isExport: (Optional) false表示查询，true表示导出
        """

        self.wafInstanceId = wafInstanceId
        self.domain = domain
        self.antiType = antiType
        self.remoteAddr = remoteAddr
        self.status = status
        self.start = start
        self.end = end
        self.pageSize = pageSize
        self.pageIndex = pageIndex
        self.sortKey = sortKey
        self.sortDesc = sortDesc
        self.isExport = isExport
