# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class EnableInternetAccessRequest(JDCloudRequest):
    """
    开启 TiDB 实例的 Internet 公网服务。开启后，并配置 IP 白名单后，可以在 VPC 外通过公网域名访问 TiDB 实例。
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(EnableInternetAccessRequest, self).__init__(
            '/regions/{regionId}/instances/{instanceId}:enableInternetAccess', 'POST', header, version)
        self.parameters = parameters


class EnableInternetAccessParameters(object):

    def __init__(self,regionId, instanceId, serviceType):
        """
        :param regionId: 地域代码
        :param instanceId: 实例ID
        :param serviceType: 按照service type (database pd monitor)开启公网域名
        """

        self.regionId = regionId
        self.instanceId = instanceId
        self.serviceType = serviceType

