# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DetachKeypairRequest(JDCloudRequest):
    """
    
为云主机实例解绑密钥。

详细操作说明请参考帮助文档：[绑定密钥](https://docs.jdcloud.com/cn/virtual-machines/bind-keypair)

## 接口说明
- 调用该接口解绑云主机实例中的密钥。

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DetachKeypairRequest, self).__init__(
            '/regions/{regionId}/keypairs/{keyName}:detach', 'POST', header, version)
        self.parameters = parameters


class DetachKeypairParameters(object):

    def __init__(self,regionId, keyName, instanceIds):
        """
        :param regionId: 地域ID。
        :param keyName: 密钥名称。
        :param instanceIds: 要解绑的云主机实例ID列表。
        """

        self.regionId = regionId
        self.keyName = keyName
        self.instanceIds = instanceIds

