# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DetachNetworkInterfaceRequest(JDCloudRequest):
    """
    
为云主机解绑弹性网卡。

详细操作说明请参考帮助文档：[解绑弹性网卡](https://docs.jdcloud.com/cn/virtual-machines/detach-eni)

## 接口说明
- 实例状态必须为 `running` 或 `stopped` 状态，同时实例没有正在进行中的任务时才可以操作。
- 实例中的主网卡是不可以解绑和绑定的，解绑弹性网卡只支持解绑辅助网卡。

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DetachNetworkInterfaceRequest, self).__init__(
            '/regions/{regionId}/instances/{instanceId}:detachNetworkInterface', 'POST', header, version)
        self.parameters = parameters


class DetachNetworkInterfaceParameters(object):

    def __init__(self,regionId, instanceId, networkInterfaceId):
        """
        :param regionId: 地域ID。
        :param instanceId: 云主机ID。
        :param networkInterfaceId: 弹性网卡ID
        """

        self.regionId = regionId
        self.instanceId = instanceId
        self.networkInterfaceId = networkInterfaceId

