# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class InstanceDiskAttachment(object):

    def __init__(self, diskCategory=None, autoDelete=None, localDisk=None, cloudDisk=None, deviceName=None, status=None):
        """
        :param diskCategory: (Optional) 磁盘类型。
**系统盘**：取值为：`local` 本地系统盘 或 `cloud` 云盘系统盘。
**数据盘**：取值为：`local` 本地数据盘 或 `cloud` 云盘数据盘。

        :param autoDelete: (Optional) 是否随实例一起删除，即删除实例时是否自动删除此磁盘。此参数仅对按配置计费的非多点挂载云硬盘生效。
`true`：随实例删除。
`false`：不随实例删除。

        :param localDisk: (Optional) 本地磁盘配置，对应 `diskCategory=local`。
        :param cloudDisk: (Optional) 云硬盘配置，对应 `diskCategory=cloud`。
        :param deviceName: (Optional) 磁盘逻辑挂载点。
**系统盘**：默认为vda。
**数据盘**：取值范围：`[vdb~vdbm]`。

        :param status: (Optional) 磁盘挂载状态。
取值范围：`attaching、detaching、attached、detached、error_attach、error_detach`。
        """

        self.diskCategory = diskCategory
        self.autoDelete = autoDelete
        self.localDisk = localDisk
        self.cloudDisk = cloudDisk
        self.deviceName = deviceName
        self.status = status
