# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class RemoveBandwidthPackageIPRequest(JDCloudRequest):
    """
    
从共享带宽包内移除公网IP

## 接口说明

-  弹性公网IP从共享带宽包中移除后，恢复原有的计费模式和带宽上限。

-  共享带宽包是否计费与共享带宽包中有无弹性公网IP无关，如共享带宽包中无弹性公网IP资源时请及时删除资源，避免产生额外费用

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(RemoveBandwidthPackageIPRequest, self).__init__(
            '/regions/{regionId}/bandwidthPackages/{bandwidthPackageId}:removeBandwidthPackageIP', 'POST', header, version)
        self.parameters = parameters


class RemoveBandwidthPackageIPParameters(object):

    def __init__(self,regionId, bandwidthPackageId, bandwidthPackageIPSpecs):
        """
        :param regionId: Region ID
        :param bandwidthPackageId: 共享带宽包ID
        :param bandwidthPackageIPSpecs: 公网IP列表
        """

        self.regionId = regionId
        self.bandwidthPackageId = bandwidthPackageId
        self.bandwidthPackageIPSpecs = bandwidthPackageIPSpecs

