# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class ElasticIp(object):

    def __init__(self, elasticIpId=None, elasticIpAddress=None, bandwidthMbps=None, provider=None, privateIpAddress=None, networkInterfaceId=None, instanceId=None, instanceType=None, charge=None, createdTime=None, az=None, tags=None, ipType=None, bandwidthPackageId=None, status=None, state=None, resourceGroupId=None):
        """
        :param elasticIpId: (Optional) 弹性公网IP的Id
        :param elasticIpAddress: (Optional) 弹性公网IP的地址
        :param bandwidthMbps: (Optional) 弹性公网IP的限速（单位：Mbps)
        :param provider: (Optional) 弹性公网IP的线路，标准公网IP的线路、取值为bgp或no_bgp；边缘公网IP的线路、可通过describeEdgeIpProviders接口获取
        :param privateIpAddress: (Optional) 私有IP的IPV4地址
        :param networkInterfaceId: (Optional) 配置弹性网卡Id
        :param instanceId: (Optional) 实例Id
        :param instanceType: (Optional) 实例类型,取值为：compute、lb、container、pod、natgw、havip
        :param charge: (Optional) 计费配置
        :param createdTime: (Optional) 弹性公网IP的创建时间
        :param az: (Optional) 弹性公网IP的可用区属性，如果为空，表示全可用区
        :param tags: (Optional) Tag信息
        :param ipType: (Optional) 弹性公网IP的IP类型，取值：standard(标准弹性IP)、edge(边缘弹性IP)
        :param bandwidthPackageId: (Optional) 加入的共享带宽包ID，如果没有加入共享带宽包该值为空
        :param status: (Optional) IP是否被绑定，取值：ASSOCIATED（被绑定）、NOT_ASSOCIATED（未被绑定）
        :param state: (Optional) IP是否变更，取值：UP（正常使用）、DOWN（停止使用）、PROCESSING（配置变更中）
        :param resourceGroupId: (Optional) 资源所属资源组ID
        """

        self.elasticIpId = elasticIpId
        self.elasticIpAddress = elasticIpAddress
        self.bandwidthMbps = bandwidthMbps
        self.provider = provider
        self.privateIpAddress = privateIpAddress
        self.networkInterfaceId = networkInterfaceId
        self.instanceId = instanceId
        self.instanceType = instanceType
        self.charge = charge
        self.createdTime = createdTime
        self.az = az
        self.tags = tags
        self.ipType = ipType
        self.bandwidthPackageId = bandwidthPackageId
        self.status = status
        self.state = state
        self.resourceGroupId = resourceGroupId
